<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mamasakan SNYRGY X BINAR</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.css">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css"
        integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg=="
        crossorigin="anonymous" />
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.theme.min.css">
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="/css/rating.css">
    <link rel="stylesheet" href="/css/cssClass/classBali.css">
    <link rel="stylesheet" href="/css/article.css">
    <link rel="stylesheet" href="/css/stars/stars.css">
</head>
<style>
    .jumbotron {
        height: 200px;
        background-image: url(/img/landing.jpg);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        text-align: center;
        position: relative;
    }

    .jumbotron .content {
        font-size: 48px;
        font-weight: bold;
        font-stretch: normal;
        font-style: normal;
        line-height: normal;
        letter-spacing: normal;
        text-align: left;
        color: white;
        text-align: center;
        margin-top: -10px;
    }

    .form-inline .form-control {
        margin: 0 400px 50px 450px;
        width: 500px;
    }

    .chef {
        width: 100%;

    }

    .content-chef {
        border: 2px solid #f6e056;
        padding: 20px;
        margin-bottom: 20px;
    }

    .content-kelas {
        background-color: rgba(246, 224, 86, 0.29);
        height: 150px;
        align-items: center;
    }

    .hr-rating {
        width: 100%;
        border: 2px solid grey;
        background-color: grey;
        height: 2px !important;
    }

    .btn-secondary:hover {
        color: #fff !important;
        background-color: #5a6268 !important;
        border-color: #545b62 !important;
    }

    .btn-secondary {
        color: #fff !important;
        background-color: #5a6268 !important;
        border: 1px solid #5a6268 !important;
    }
</style>

<body>
    <!-- navbar -->
    <%- include('../partials/navbar')  %>
    <!-- end navbar -->
    <!-- landing -->
    <!-- <div class="jumbotron">
        <div class="container">
            <h5 class="content">ARTIKEL</h5>
            <hr>
        </div>

    </div> -->
    <!-- end landing -->

    <section class="header mt-5 mb-5">
        <div class="container">
            <h1 class="text-left"><%= course.title %></h1>
            <div class="row justify-content-center align-items-center">
                <video controls width="1000px">
                    <source src="<%= course.videoUrl %>">
                </video>
            </div>

        </div>
    </section>

    <section class="chef">
        <div class="container-fluid content-chef">
            <div class="row">
                <div class="col-sm-2 pl-5">
                    <img src="<%= course.Teacher.imageUrl %>" alt="" width="100px" height="100px">
                </div>
                <div class="col-sm-2 py-3">
                    <h4><%= course.Teacher.name %></h4>
                    <p>ahli masakan <%= course.Teacher.region %></p>
                </div>
                <div class="col-sm-8 py-3" style="padding-left: 700px;">
                    <p>Level: <%= course.level %> <br>
                        Durasi: <%= course.duration %></p>
                </div>
            </div>
        </div>
    </section>

    <section>
        <div class="container-fluid mt-5">
            <div class="row pl-5">
                <div class="col-6">
                    <h4>Bahan :</h4>
                    <p>
                        <%= course.ingredients %>
                </div>
                <div class="col-6">
                    <h4>Cara membuat :</h4>
                    <p>
                        <%= course.directions %>
                </div>
            </div>
        </div>
    </section>

    <section class="mb-5">
        <div class="container-fluid content-kelas">
            <div class="row">
                <div class="col-8 pt-5 pl-5">
                    <h2>Masih bingung dan butuh bantuan Chef?</h2>
                </div>
                <div class="col-4 pt-5 pl-5">
                    <a href="https://api.whatsapp.com/send?phone=6281808814099&text=Hallo,%20Chef!%20Saya%20mau%20bertanya."
                        target="_blank" class="btn btn-danger btn-md text-white">Tanya Chef</a>
                </div>
            </div>
        </div>
    </section>

    <section>
        <div class="container-fluid">
            <div class="container-fluid">
                <% if(course.Reviews.length > 0) { %>
                <% course.Reviews.forEach(review => { %>
                <div class="row mb-5">
                    <div class="col-sm-2 pl-5">
                        <img src="<% if(review.Student.imageUrl){ %> <%= review.Student.imageUrl %> <% } else { %>/img/user.svg<% } %>  "
                            alt="" width="100px" height="100px">
                    </div>
                    <div class="col-sm-2 ">
                        <h4><%= review.Student.firstName %></h4>
                        <p><%= review.content %></p>
                    </div>
                    <div class="col-sm-8 py-3" style="padding-left: 500px;">
                        <p class='starability-result' data-rating='<%= review.score %>'></p>
                    </div>
                </div>
                <hr class="hr-rating">
                <% })  %>
                <% } else { %>
                <h3>No Reviews yet!</h3>
                <% } %>
                <img src="../img/user.svg" alt="" class="img-fluid rounded-circle">
                <form action="/review/post-review/?id=<%= course.id %>" method='POST' class="ml-5">
                    <fieldset class=" starability-basic">
                        <input type="radio" id="no-rate" class="input-no-rate" name="score" value="0" checked
                            aria-label="No score." />
                        <input type="radio" id="first-rate1" name="score" value="1" />
                        <label for="first-rate1" title="Terrible">1 star</label>
                        <input type="radio" id="first-rate2" name="score" value="2" />
                        <label for="first-rate2" title="Not good">2 stars</label>
                        <input type="radio" id="first-rate3" name="score" value="3" />
                        <label for="first-rate3" title="Average">3 stars</label>
                        <input type="radio" id="first-rate4" name="score" value="4" />
                        <label for="first-rate4" title="Very good">4 stars</label>
                        <input type="radio" id="first-rate5" name="score" value="5" />
                        <label for="first-rate5" title="Amazing">5 stars</label>
                    </fieldset>
                    <textarea name="content" id="" class="form-control" style="width: 900px; height: 100px;"></textarea>
                    <button class="btn btn-secondary mt-4 mb-4">Review</button>
                </form>
            </div>
        </div>

        </div>
        </div>
        </div>
    </section>

    <!-- foter -->
    <%- include('../partials/footer')  %>
    <!-- end footer -->
</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
    integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"
    integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous">
</script>
<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.0.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.js">
</script>
<script>
    $(document).ready(function () {
        $("#testimonial-slider").owlCarousel({
            items: 1,
            itemsDesktop: [1000, 1],
            itemsDesktopSmall: [979, 1],
            itemsTablet: [768, 1],
            margin: 10,
            pagination: true,
            navigation: false,
            autoPlay: true
        });
    });
</script>

</html>